# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=2
COMMIT="8fda57a"
JAVA_PKG_IUSE="doc source"

inherit java-pkg-2 java-pkg-simple

DESCRIPTION="Builds the JNI libraries for the jansi project"
HOMEPAGE="http://jansi.fusesource.org/"
SRC_URI="https://github.com/fusesource/${PN}/tarball/${P} -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ppc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE=""

RDEPEND=">=virtual/jre-1.5
	dev-java/hawtjni-runtime"

DEPEND=">=virtual/jdk-1.5
	dev-java/hawtjni-runtime"

S="${WORKDIR}/fusesource-${PN}-${COMMIT}"
JAVA_GENTOO_CLASSPATH="hawtjni-runtime"
